# $Revision: 1.97.2.102.2.4 $, $Date: 2008-02-19 20:17:50 $
#
# TODO:
# - Some modules with bcond_with will not work for now, we need to wait for next releases
# - Add Obsoletes for modules iwait4u, powerkadu if they will not be fixed before final 0.6.0
#
# NOTE:
# - We use staticly linked libgadu because of no stable release with dcc7
# - There is no audacious in AC so audacious module for kadu is disabled
#
# Conditional build:
%bcond_with	snap			# build cvs snapshot
%bcond_with	debug			# build with debug

%bcond_without	advanced_userlist	# without Advanced Userlist support
%bcond_without	agent			# without agent module support
%bcond_without	autoresponder		# without autoresponder module support
%bcond_without	dcopexport		# without dcopexport module support
%bcond_without	docking_desktop		# without desktop_docking module support
%bcond_without	encryption		# without encryption module support
%bcond_without	filedesc		# without filedesc module support
%bcond_without	filtering		# without filtering module support
%bcond_without	firewall		# without firewall module support
%bcond_with	iwait4u			# with iwait4u module support
%bcond_without	mail			# without mail module support
%bcond_without	mediaplayer		# without media player modules support
%bcond_without	mediaplayer_amarok	# without amarok player support module
%bcond_with	mediaplayer_audacious	# with audacious player support module
%bcond_without	mediaplayer_falf	# without falf player support module
%bcond_without	mediaplayer_xmms	# without xmms player support module
%bcond_without	mime_tex		# without mime_tex module support
%bcond_without	notify_exec		# without exec_notify module support
%bcond_without	notify_led		# without led_notify module support
%bcond_without	notify_mx610		# without led_notify module support
%bcond_without	notify_osdhints		# without osdhints_notify module
%bcond_without	notify_pcspeaker	# without pcspeaker_notify module support
%bcond_without	notify_speech		# without Speech synthesis support
%bcond_without	notify_water		# without water_notify module support
%bcond_without	notify_xosd		# without xosd_notify module support
%bcond_without	panelkadu		# without panelkadu module support
%bcond_with	powerkadu		# with PowerKadu extensions
%bcond_without	profiles		# without profiles module support
%bcond_without	sound_alsa		# without ALSA support
%bcond_without	sound_ao		# without ao support
%bcond_without	sound_arts		# without arts sound server support
%bcond_without	sound_dsp		# without DSP sound module support
%bcond_without	sound_esd		# without ESD sound server support
%bcond_without	sound_ext		# without external application sound module support
%bcond_without	sound_nas		# without Network Audio System support
%bcond_without	screenshot		# without screenshot module support
%bcond_without	sms_miastoplusa		# without miastoplusa_sms module support
%bcond_without	spellchecker		# without spellchecker (Aspell support) invisible
%bcond_without	tabs			# without tabs support module
%bcond_without	voice			# without voice support module
%bcond_without	weather			# without weather check module support

%define		_snap	20080208
%define		_rel	rc4

%define		_agent_mod_ver		0.4.4
%define		_amarok_mod_ver		20071220
%define		_dcopexport_ver		0.11.3-20071129
%define		_falf_mod_ver		20071225
%define		_filedesc_ver		20080104
%define		_filtering_ver		20080204
%define		_firewall_ver		0.7.5
%define		_iwait4u_ver		1.3
%define		_mail_ver		0.3.2
%define		_mediaplayer_mod_ver	20080210
%define		_mediaplayer_audacious_ver	20071220
%define		_mime_tex_ver		1.4.1
%define		_notify_exec_ver	20070101
%define		_notify_led_ver		0.18
%define		_notify_mx610_ver	0.3.1
%define		_notify_osdhints_ver	0.4.0.8
%define		_notify_pcspeaker_ver	0.6.0.3
%define		_notify_water_ver	0.1.1-try2
%define		_panelkadu_ver		alpha3
%define		_powerkadu_ver		20070129
%define		_profiles_ver		0.3.1
%define		_screenshot_ver		20080104
%define		_sms_miastoplusa_ver	1.3.9
%define		_sound_ao_ver		20060424
%define		_spellchecker_mod_ver	20071230
%define		_tabs_ver		1.1.4
%define		_weather_ver		3.13
%define		_xmms_mod_ver		20080116

%if %{with snap}
%define		year	%(echo %{_snap} |cut -b -4)
%endif

Summary:	A Gadu-Gadu client for online messaging
Summary(pl.UTF-8):	Klient Gadu-Gadu do przesyłania wiadomości po sieci
Name:		kadu
Version:	0.6.0
Release:	0.%{?with_snap:%{_snap}}%{!?with_snap:%{_rel}}.1
License:	GPL v2
Group:		Applications/Communications

%if %{with snap}
Source100:	http://kadu.net/download/snapshots/2008/%{name}-%{_snap}.tar.bz2
# Source100-md5:	d158fe973922a66b36a3616b5494fd72
%else
Source0:	http://kadu.net/download/stable/%{name}-%{version}-%{_rel}.tar.bz2
# Source0-md5:	6dbaf616e398f50ee4eaa7b60475ff1e
%endif
Source1:	%{name}.desktop
Source2:	http://www.kadu.net/download/modules_extra/mediaplayer/mediaplayer-%{_mediaplayer_mod_ver}.tar.bz2
# Source2-md5:	f24c85c640fa88a887cab078d8cacfc4
Source3:	http://www.kadu.net/download/modules_extra/amarok_mediaplayer/amarok_mediaplayer-%{_amarok_mod_ver}.tar.bz2
# Source3-md5:	51d304e335e814f3d8c0f1654007a7d7
Source4:	http://alan.umcs.lublin.pl/~pinkworm/dcopexport/dcopexport-%{_dcopexport_ver}-%{version}.tar.bz2
# Source4-md5:	b36fcfcf4756285f30cbb6c2b6c2a2da
Source5:	http://www.kadu.net/download/modules_extra/filedesc/filedesc-%{_filedesc_ver}.tar.bz2
# Source5-md5:	8d11979fa8a3795f7ab20fbb1fb8bdbb
Source6:	http://www.kadu.net/download/modules_extra/filtering/filtering-%{_filtering_ver}.tar.bz2
# Source6-md5:	89174f20bf9c71d23ca7d3619907737a
Source7:	http://www.kadu.net/~pan_wojtas/iwait4u/download/%{name}-iwait4u-%{_iwait4u_ver}.tar.gz
# Source7-md5:	6233a8ef21d901fc5fb91c0db40d0e32
Source8:	http://www.kadu.net/download/modules_extra/falf_mediaplayer/falf_mediaplayer-%{_falf_mod_ver}.tar.bz2
# Source8-md5:	927db40f7136ff86b3e83307b5cec2d9
Source9:	http://kadu.net/~blysk/led_notify-%{_notify_led_ver}.tar.bz2
# Source9-md5:	786a0ee40a3aef03b51e2d89a2bceda5
Source10:	http://www.kadu.net/~dorr/moduly/%{name}-osdhints_notify-%{_notify_osdhints_ver}.tar.bz2
# Source10-md5:	ca064370d08cab843e5c33eed61afbf4
Source11:	http://www.kadu.net/~dorr/moduly/%{name}-pcspeaker-%{_notify_pcspeaker_ver}.tar.bz2
# Source11-md5:	4b8abfe0c57efabb49ba8c6c71a316f2
Source12:	http://kadu.net/~patryk/powerkadu/powerkadu-%{_powerkadu_ver}.tar.gz
# Source12-md5:	c6046e8b49dd9994fbf573faaafddab8
Source13:	http://www.kadu.net/~dorr/moduly/%{name}-profiles-%{_profiles_ver}.tar.bz2
# Source13-md5:	d7ec7f808d15308d10ed76d1e3743f37
Source14:	http://www.kadu.net/download/modules_extra/screenshot/screenshot-%{_screenshot_ver}.tar.bz2
# Source14-md5:	47d3d5564b272a186667c1507e19844f
Source15:	http://kadu.net/~patryk/miastoplusa_sms/miastoplusa_sms-0.6-%{_sms_miastoplusa_ver}.tar.gz
# Source15-md5:	e5c4d5cd94cef40730e281b9a6c9ed37
Source16:	http://www.kadu.net/download/modules_extra/spellchecker/spellchecker-%{_spellchecker_mod_ver}.tar.bz2
# Source16-md5:	a46eab2f3d9c31cee13ccf3a441bceec
Source17:	http://misiek.jah.pl/assets/2008/2/8/agent-%{_agent_mod_ver}.tar.gz
# Source17-md5:	4401e0e3c509af347cb14a89236301ea
Source18:	http://kadu.net/~arvenil/tabs/download/%{version}/%{_tabs_ver}/%{name}-tabs-%{_tabs_ver}.tar.bz2
# Source18-md5:	57e4c970f496ba81495d59d7b96bcdf1
Source19:	http://kadu.net/~blysk/weather-%{_weather_ver}.tar.bz2
# Source19-md5:	41a6edd1356a36e4606e432d0bc856f6
Source20:	http://www.kadu.net/download/modules_extra/xmms_mediaplayer/xmms_mediaplayer-%{_xmms_mod_ver}.tar.bz2
# Source20-md5:	97dd4c9cd19b69b9ab6d38a20cd37a2e
Source21:	http://kadu.jarzebski.pl/water_notify-%{_notify_water_ver}.tar.bz2
# Source21-md5:	10320f9b96366422bbcd7ec76d4e85a1
Source22:	http://www.ultr.pl/kadu/panelkadu-0.6-%{_panelkadu_ver}.tar.gz
# Source22-md5:	85adfdc9a9792b171d4a4892b2fef621
Source23:	http://www.kadu.net/download/additions/%{name}-0.6-theme-glass-16.tar.gz
# Source23-md5:	d09256b6b2ae801088c1f6e04bbac5f7
Source24:	http://www.kadu.net/download/additions/%{name}-0.6-theme-glass-22.tar.gz
# Source24-md5:	d9f33f1224315771615faaefd2397918
Source27:	http://www.kadu.net/~dorr/moduly/%{name}-firewall-%{_firewall_ver}.tar.bz2
# Source27-md5:	9b0f04b4254b4ff08254b15e59a81be7
Source28:	http://kadu.net/~patryk/mime_tex/mime_tex-%{_mime_tex_ver}.tar.bz2
# Source28-md5:	d640b2ba650fb5aa0f3502ad7379b14b
Source29:	http://kadu.jarzebski.pl/mx610_notify-%{_notify_mx610_ver}.tar.bz2
# Source29-md5:	08bba105d9307bbf1a8e8482529441a4
Source30:	http://www.kadu.net/~joi/ao_sound/packages/ao_sound-%{_sound_ao_ver}.tar.bz2
# Source30-md5:	95809d330e48e61f58ec961ddbf0b529
Source31:	http://www.kadu.net/download/modules_extra/audacious_mediaplayer/audacious_mediaplayer-%{_mediaplayer_audacious_ver}.tar.bz2
# Source31-md5:	37cb762e361208c5c571771fb86968b5
Source32:	http://www.kadu.net/~weagle/mail/mail-%{_mail_ver}.tar.bz2
# Source32-md5:	0526354146a6c46b3670239f820a7caa
Source33:	http://www.kadu.net/download/additions/%{name}-0.6-theme-oxygen-16.tar.gz
# Source33-md5:	fb13f2624dec27632c42a6bc2c1a252f
Source34:	http://www.kadu.net/download/additions/%{name}-0.6-theme-tango-16.tar.gz
# Source34-md5:	52fe12765b600b9aa44cfc6489dce8eb
Patch0:		%{name}-ac_am.patch
Patch1:		%{name}-voice.patch
Patch2:		%{name}-mediaplayer-audacious.patch
Patch3:		%{name}-gcc3.patch
URL:		http://kadu.net/
%{?with_sound_alsa:BuildRequires:	alsa-lib-devel}
%{?with_sound_arts:BuildRequires:	artsc-devel}
%{?with_spellchecker:BuildRequires:	aspell-devel}
%{?with_mediaplayer_audacious:BuildRequires:	audacious-devel >= 1.4.0}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_sms_miastoplusa:BuildRequires:	curl-devel}
%{?with_sound_esd:BuildRequires:	esound-devel}
%if %{with mediaplayer_amarok} || %{with dcopexport}
BuildRequires:	kdelibs-devel
%endif
%{?with_sound_ao:BuildRequires:	libao-devel}
%{?with_voice:BuildRequires:	libgsm-devel}
BuildRequires:	libsndfile-devel >= 1.0
%{?with_sound_nas:BuildRequires:	nas-devel}
%{?with_encryption:BuildRequires:	openssl-devel >= 0.9.7d}
%{?with_mediaplayer_audacious:BuildRequires:	pkgconfig}
BuildRequires:	qt-linguist
BuildRequires:	sed >= 4.0
%{?with_mediaplayer_xmms:BuildRequires:	xmms-devel}
%{?with_notify_xosd:BuildRequires:	xosd-devel}
Obsoletes:	kadu-module-imiface <= 0.4.3
Obsoletes:	kadu-module-speech <= 0.4.3
Obsoletes:	kadu-module-tcl_scripting <= 0.4.3
Obsoletes:	kadu-theme-icons-crystal16 <= 0.5.0
Obsoletes:	kadu-theme-icons-crystal22 <= 0.5.0
Obsoletes:	kadu-theme-icons-nuvola16 <= 0.5.0
Obsoletes:	kadu-theme-icons-nuvola22 <= 0.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_modules_lib_dir	%{_libdir}/%{name}/modules
%define		_modules_data_dir	%{_datadir}/%{name}/modules
%define		_modules_bin_dir	%{_modules_lib_dir}/bin

%description
Kadu is client of Gadu-Gadu protocol. It's an IM for Linux and UN*X.
It's written with use of QT libraries.

%description -l pl.UTF-8
Kadu jest klientem protokołu Gadu-Gadu. Inaczej mówiąc, jest
komunikatorem dla Linuksa (oraz, przy niewielkim wysiłku, innych
systemów UN*Xowych). Napisano go w oparciu o bibliotekę QT i KDE,
przeznaczony jest więc dla tego środowiska.

%package module-advanced_userlist
Summary:	Advanced Userlist module
Summary(pl.UTF-8):	Moduł zaawansowanej konfiguracji sortowania listy kontaktów
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-advanced_userlist
Advanced Userlist module.

%description module-advanced_userlist -l pl.UTF-8
Moduł zaawansowanej konfiguracji sortowania listy kontaktów.

%package module-agent
Summary:	Spying module that shows who has you on list
Summary(pl.UTF-8):	Moduł szpiegowski pokazujący osoby które mają cię na liście
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-agent
Spying module that shows who has you on list.

%description module-agent -l pl.UTF-8
Moduł szpiegowski pokazujący osoby które mają cię na liście.

%package module-autoresponder
Summary:	Autoresponder module
Summary(pl.UTF-8):	Moduł autoodpowiedzi
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-autoresponder
Autoresponder module.

%description module-autoresponder -l pl.UTF-8
Moduł autoodpowiedzi.

%package module-dcopexport
Summary:	Kadu DCOP interface
Summary(pl.UTF-8):	Interfejs niektórych funkcji Kadu do DCOP
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-dcopexport
Kadu DCOP interface.

%description module-dcopexport -l pl.UTF-8
Interfejs niektórych funkcji Kadu do DCOP.

%package module-docking-desktop
Summary:	Desktop docking module
Summary(pl.UTF-8):	Moduł dokowania w dowolnym punkcie ekranu
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-docking-desktop
Desktop docking module.

%description module-docking-desktop -l pl.UTF-8
Moduł dokowania w dowolnym punkcie ekranu.

%package module-encryption
Summary:	Chat encryption module
Summary(pl.UTF-8):	Moduł szyfrowania rozmów
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-encryption
Chat encryption module.

%description module-encryption -l pl.UTF-8
Moduł szyfrowania rozmów.

%package module-filedesc
Summary:	Descriptions from file module
Summary(pl.UTF-8):	Moduł obsługi opisów z pliku
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-filedesc
Descriptions from file module.

%description module-filedesc -l pl.UTF-8
Moduł obsługi opisów z pliku.

%package module-filtering
Summary:	User list filtering
Summary(pl.UTF-8):	Filtrowanie listy kontaktów
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-filtering
User list filtering.

%description module-filtering -l pl.UTF-8
Filtrowanie listy kontaktów.

%package module-firewall
Summary:	Module blocks unknown persons, who wants to start chat
Summary(pl.UTF-8):	Moduł blokuje nieznane osoby, chcące zacząć rozmowę
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-firewall
Mudule blocks unknown persons, who wants to start chat.

%description module-firewall -l pl.UTF-8
Moduł blokuje nieznane osoby, chcące zacząć rozmowę.

%package module-iwait4u
Summary:	iwait4u module inform you, that someone from userlist is active
Summary(pl.UTF-8):	Modul iwait4u do informowania o dostępności osób z listy
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-iwait4u
iwait4u module inform you, that someone from userlist is active.

%description module-iwait4u -l pl.UTF-8
Modul iwait4u informuje, że osoba z listy użytkowników jest dostępna.

%package module-mail
Summary:	Mail checker module
Summary(pl.UTF-8):	Moduł do sprawdzania poczty
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-mail
Mail checker module.

%description module-mail -l pl.UTF-8
Moduł do sprawdzania poczty.

%package module-mediaplayer
Summary:	Support for status from mediaplayer
Summary(pl.UTF-8):	Moduł statusu pobieranego z odtwarzaczy
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-mediaplayer
Module which allows showing in status description information about
the song currently played.

%description module-mediaplayer -l pl.UTF-8
Moduł umożliwiający w opisie statusu pokazywanie informacji o
odgrywanym utworze.

%package module-mediaplayer-amarok
Summary:	Support amarok status
Summary(pl.UTF-8):	Moduł statusu dla amarok
Group:		Applications/Communications
Requires:	%{name}-module-mediaplayer = %{version}-%{release}
Requires:	amarok
Provides:	kadu-module-amarok = %{version}
Obsoletes:	kadu-module-amarok <= 0.5.0

%description module-mediaplayer-amarok
Module which allows showing in status description information about
the song currently played in amarok.

%description module-mediaplayer-amarok -l pl.UTF-8
Moduł umożliwiający w opisie statusu pokazywanie informacji o
odgrywanym utworze z odtwarzacza amarok.

%package module-mediaplayer-audacious
Summary:	Support audacious status
Summary(pl.UTF-8):	Moduł statusu dla audacious
Group:		Applications/Communications
Requires:	%{name}-module-mediaplayer = %{version}-%{release}
Requires:	audacious

%description module-mediaplayer-audacious
Module which allows showing in status description information about
the song currently played in audacious.

%description module-mediaplayer-audacious -l pl.UTF-8
Moduł umożliwiający w opisie statusu pokazywanie informacji o
odgrywanym utworze z odtwarzacza audacious.

%package module-mediaplayer-falf
Summary:	Support falf status
Summary(pl.UTF-8):	Moduł statusu dla falf
Group:		Applications/Communications
Requires:	%{name}-module-mediaplayer = %{version}-%{release}

%description module-mediaplayer-falf
Module which allows showing in status description information about
the song currently played in falf.

%description module-mediaplayer-falf -l pl.UTF-8
Moduł umożliwiający w opisie statusu pokazywanie informacji o
odgrywanym utworze z odtwarzacza falf.

%package module-mediaplayer-xmms
Summary:	Support XMMS status
Summary(pl.UTF-8):	Moduł statusu dla XMMS-a
Group:		Applications/Communications
Requires:	%{name}-module-mediaplayer = %{version}-%{release}
Requires:	xmms
Provides:	kadu-module-xmms = %{version}
Obsoletes:	kadu-module-xmms <= 0.5.0

%description module-mediaplayer-xmms
Module which allows showing in status description information about
the song currently played in XMMS.

%description module-mediaplayer-xmms -l pl.UTF-8
Moduł umożliwiający pokazywanie w opisie statusu informacji o
odgrywanym utworze z odtwarzacza XMMS.

%package module-mime_tex
Summary:	Mathematical TeX formulas in chat windows
Summary(pl.UTF-8):	Matematyczne formuły TeX w oknach czat
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-mime_tex
Mathematical TeX formulas for chat windows.

%description module-mime_tex -l pl.UTF-8
Matematyczne formuły TeX w oknach czat.

%package module-notify-exec
Summary:	Notification by external commands module
Summary(pl.UTF-8):	Moduł powiadamiania użytkownika o zdarzeniach za pomocą zewnętrznych poleceń
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-notify-exec
Notification by external commands module.

%description module-notify-exec -l pl.UTF-8
Moduł powiadamiania użytkownika o zdarzeniach za pomocą zewnętrznych
poleceń.

%package module-notify-led
Summary:	Notification by Scroll Lock LED
Summary(pl.UTF-8):	Moduł powiadamiania diodą Scroll Lock
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-notify-led
Notification by Scroll Lock LED.

%description module-notify-led -l pl.UTF-8
Moduł powiadamiania diodą Scroll Lock.

%package module-notify-mx610
Summary:	Notification by IM-LED in Logitech MX610 mouse
Summary(pl.UTF-8):	Moduł powiadamiania diodą IM w myszcze Logitech MX610
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-notify-mx610
Notification by IM-LED in Logitech MX610 mouse.

%description module-notify-mx610 -l pl.UTF-8
Moduł powiadamiania diodą IM w myszcze Logitech MX610.

%package module-notify-osdhints
Summary:	Notification by OSD-like hints
Summary(pl.UTF-8):	Powiadamianie o zdarzeniach przy pomocy dymków typu OSD
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-notify-osdhints
Notification by OSD-like hints.

%description module-notify-osdhints -l pl.UTF-8
Powiadamianie o zdarzeniach przy pomocy dymków typu OSD.

%package module-notify-pcspeaker
Summary:	Notification by PC Speaker
Summary(pl.UTF-8):	Powiadamianie o zdarzeniach przy pomocy PC Speakera
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-notify-pcspeaker
Notification by PC Speaker.

%description module-notify-pcspeaker -l pl.UTF-8
Powiadamianie o zdarzeniach przy pomocy PC Speakera.

%package module-notify-speech
Summary:	Speech synthesis support
Summary(pl.UTF-8):	Moduł obsługi "Głośnego czytania"
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	powiedz

%description module-notify-speech
Kadu module which supports reading aloud using speech synthesis
provided by external program "powiedz".

%description module-notify-speech -l pl.UTF-8
Moduł obsługi "Głośnego czytania" przez zewnętrzny program "powiedz".

%package module-notify-water
Summary:	Notification by Water Plugin in Compiz
Summary(pl.UTF-8):	Moduł powiadamiania pluginem Water w Compiz
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-notify-water
Notification by Water Plugin in Compiz.

%description module-notify-water -l pl.UTF-8
Moduł powiadamiania pluginem Water w Compiz.

%package module-notify-xosd
Summary:	Notification by XOSD module
Summary(pl.UTF-8):	Moduł powiadamiania o zdarzeniach przy pomocy XOSD
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-notify-xosd
Notification by XOSD module.

%description module-notify-xosd -l pl.UTF-8
Moduł powiadamiania o zdarzeniach przy pomocy XOSD.

%package module-panelkadu
Summary:	Module which makes Kadu look and behave like a panel
Summary(pl.UTF-8):	Moduł sprawiający, że Kadu wygląda i zachowuje się jak panel
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-panelkadu
Module which makes Kadu look and behave like a panel.

%description module-panelkadu -l pl.UTF-8
Moduł sprawiający, że Kadu wygląda i zachowuje się jak panel.

%package module-powerkadu
Summary:	PowerKadu extensions
Summary(pl.UTF-8):	Rozszerzenia PowerKadu
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-powerkadu
PowerKadu is an add-on to Kadu. It extends Kadu functionality by
useful functions, like : autostatus, antistring, cenzor, TeX formula,
words fix, ...

%description module-powerkadu -l pl.UTF-8
PowerKadu jest dodatkiem do Kadu. Poszerza on możliwości Kadu o
przydatne funkcje, takie jak: autostatus, antyłańcuszek, cenzor,
formuły TeX-a, korekta słów...

%package module-profiles
Summary:	Kadu Profiles
Summary(pl.UTF-8):	Profile w Kadu
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-profiles
Kadu Profiles.

%description module-profiles -l pl.UTF-8
Profile w Kadu.

%package module-screenshot
Summary:	Simple ScreenShots module
Summary(pl.UTF-8):	Moduł prostych zrzutów ekranu
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-screenshot
Simple ScreenShots module.

%description module-screenshot -l pl.UTF-8
Moduł prostych zrzutów ekranu.

%package module-sms-miastoplusa
Summary:	SMS Gateway on Miasto Plusa module
Summary(pl.UTF-8):	Moduł obsługi bramki SMS w Mieście Plusa
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-sms-miastoplusa
SMS Gateway on Miasto Plusa module.

%description module-sms-miastoplusa -l pl.UTF-8
Moduł obsługi bramki SMS w Mieście Plusa.

%package module-sound-alsa
Summary:	Support ALSA sound
Summary(pl.UTF-8):	Wsparcie dla dźwięku ALSA
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib

%description module-sound-alsa
ALSA sound support module.

%description module-sound-alsa -l pl.UTF-8
Moduł obsługi dźwięku przez ALSA.

%package module-sound-ao
Summary:	Libao sound module
Summary(pl.UTF-8):	Moduł obsługi dźwięku poprzez bibliotekę libao
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-sound-ao
Libao sound module.

%description module-sound-ao -l pl.UTF-8
Moduł obsługi dźwięku poprzez bibliotekę libao.

%package module-sound-arts
Summary:	Support aRts sound server
Summary(pl.UTF-8):	Wsparcie dla serwera dźwięku aRts
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	arts

%description module-sound-arts
aRts sound server support module.

%description module-sound-arts -l pl.UTF-8
Moduł do obsługi serwera dźwięku aRts.

%package module-sound-dsp
Summary:	DSP sound module
Summary(pl.UTF-8):	Moduł obsługi dźwięku przez DSP
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-sound-dsp
DSP sound module.

%description module-sound-dsp -l pl.UTF-8
Moduł obsługi dźwięku przez DSP.

%package module-sound-esd
Summary:	Support ESD sound server
Summary(pl.UTF-8):	Wsparcie dla serwera dźwięku ESD
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	esound

%description module-sound-esd
ESD sound module.

%description module-sound-esd -l pl.UTF-8
Moduł obsługi dźwięku przez ESD.

%package module-sound-ext
Summary:	External application sound module
Summary(pl.UTF-8):	Moduł obsługi dźwięku przez zewnętrzną aplikację
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-sound-ext
External application sound module.

%description module-sound-ext -l pl.UTF-8
Moduł obsługi dźwięku przez zewnętrzną aplikację.

%package module-sound-nas
Summary:	Support Network Audio System
Summary(pl.UTF-8):	Wsparcie dla sieciowego systemu dźwięku NAS
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	nas

%description module-sound-nas
Network Audio System sound module.

%description module-sound-nas -l pl.UTF-8
Moduł obsługi dźwięku przez NAS.

%package module-spellchecker
Summary:	Checker of spelling mistakes
Summary(pl.UTF-8):	Moduł sprawdzający pisownię
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	aspell

%description module-spellchecker
Checker of spelling mistakes.

%description module-spellchecker -l pl.UTF-8
Moduł sprawdzający pisownię.

%package module-tabs
Summary:	Tabbed chat dialog module
Summary(pl.UTF-8):	Moduł okna rozmowy z kartami
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-tabs
Tabbed chat dialog module.

%description module-tabs -l pl.UTF-8
Moduł okna rozmowy z kartami.

%package module-voice
Summary:	Voice chat support module
Summary(pl.UTF-8):	Moduł obsługi rozmów głosowych
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-voice
Voice chat support module.

%description module-voice -l pl.UTF-8
Moduł obsługi rozmów głosowych.

%package module-weather
Summary:	Weather module
Summary(pl.UTF-8):	Moduł pogodowy
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description module-weather
Informations of weather in locality of contact.

%description module-weather -l pl.UTF-8
Informacje o pogodzie w miejscowości danego kontaktu.

%package theme-icons-glass16
Summary:	Glass16 icon theme
Summary(pl.UTF-8):	Zestaw ikon glass16
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description theme-icons-glass16
Glass16 icon theme.

%description theme-icons-glass16 -l pl.UTF-8
Zestaw ikon glass16.

%package theme-icons-glass22
Summary:	Glass22 icon theme
Summary(pl.UTF-8):	Zestaw ikon glass22
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description theme-icons-glass22
Glass22 icon theme.

%description theme-icons-glass22 -l pl.UTF-8
Zestaw ikon glass22.

%package theme-icons-oxygen16
Summary:	Oxygen16 icon theme
Summary(pl.UTF-8):	Zestaw ikon Oxygen16
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description theme-icons-oxygen16
Oxygen16 icon theme.

%description theme-icons-oxygen16 -l pl.UTF-8
Zestaw ikon Oxygen16.

%package theme-icons-tango16
Summary:	Tango16 icon theme
Summary(pl.UTF-8):	Zestaw ikon Tango16
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description theme-icons-tango16
Tango16 icon theme.

%description theme-icons-tango16 -l pl.UTF-8
Zestaw ikon Tango16.

%prep
%setup -q -T -b %{?with_snap:10}0 -n %{name}
%patch0 -p1
%patch1 -p1
%patch3 -p1

%if %{with mediaplayer}
tar xjf %{SOURCE2} -C modules
%endif
%if %{with mediaplayer_amarok}
tar xjf %{SOURCE3} -C modules
%endif
%if %{with mediaplayer_audacious}
tar xjf %{SOURCE31} -C modules
%patch2 -p1
%endif
%if %{with dcopexport}
tar xjf %{SOURCE4} -C modules
%endif
%if %{with filedesc}
tar xjf %{SOURCE5} -C modules
%endif
%if %{with filtering}
tar xjf %{SOURCE6} -C modules
%endif
%if %{with firewall}
tar xjf %{SOURCE27} -C modules
%endif
%if %{with iwait4u}
tar xzf %{SOURCE7} -C modules
%endif
%if %{with mail}
tar xjf %{SOURCE32} -C modules
%endif
%if %{with mediaplayer_falf}
tar xjf %{SOURCE8} -C modules
%endif
%if %{with mime_tex}
tar xjf %{SOURCE28} -C modules
%endif
%if %{with notify_led}
tar xjf %{SOURCE9} -C modules
%endif
%if %{with notify_mx610}
tar xjf %{SOURCE29} -C modules
%endif
%if %{with notify_osdhints}
tar xjf %{SOURCE10} -C modules
%endif
%if %{with notify_pcspeaker}
tar xjf %{SOURCE11} -C modules
%endif
%if %{with notify_water}
tar xjf %{SOURCE21} -C modules
%endif
%if %{with panelkadu}
tar xzf %{SOURCE22} -C modules
%endif
%if %{with powerkadu}
tar xzf %{SOURCE12} -C modules
%endif
%if %{with profiles}
tar xjf %{SOURCE13} -C modules
%endif
%if %{with screenshot}
tar xjf %{SOURCE14} -C modules
%endif
%if %{with sms_miastoplusa}
tar xzf %{SOURCE15} -C modules
%endif
%if %{with sound_ao}
tar xjf %{SOURCE30} -C modules
%endif
%if %{with spellchecker}
tar xjf %{SOURCE16} -C modules
%endif
%if %{with agent}
tar xzf %{SOURCE17} -C modules
%endif
%if %{with tabs}
tar xjf %{SOURCE18} -C modules
%endif
%if %{with weather}
tar xjf %{SOURCE19} -C modules
%endif
%if %{with mediaplayer_xmms}
tar xjf %{SOURCE20} -C modules
%endif
# themes-icons
tar xzf %{SOURCE23} -C varia/themes/icons
tar xzf %{SOURCE24} -C varia/themes/icons
tar xzf %{SOURCE33} -C varia/themes/icons
tar xzf %{SOURCE34} -C varia/themes/icons

# Change hard coded path to modules data files
%{__sed} -i 's,dataPath("kadu/modules/*,("%{_modules_data_dir}/,g' kadu-core/modules.cpp

%build
%if %{with advanced_userlist}
%{__sed} -i 's/module_advanced_userlist=n/module_advanced_userlist=m/' .config
%else
%{__sed} -i 's/module_advanced_userlist=m/module_advanced_userlist=n/' .config
%endif
%if %{with agent}
%{__sed} -i 's/module_agent=n/module_agent=m/' .config
%else
%{__sed} -i 's/module_agent=m/module_agent=n/' .config
%endif
%if %{with autoresponder}
%{__sed} -i 's/module_autoresponder=n/module_autoresponder=m/' .config
%else
%{__sed} -i 's/module_autoresponder=m/module_autoresponder=n/' .config
%endif
%if %{with dcopexport}
%{__sed} -i 's/module_dcopexport=n/module_dcopexport=m/' .config
%else
%{__sed} -i 's/module_dcopexport=m/module_dcopexport=n/' .config
%endif
%if %{with docking_desktop}
%{__sed} -i 's/module_desktop_docking=n/module_desktop_docking=m/' .config
%else
%{__sed} -i 's/module_desktop_docking=m/module_desktop_docking=n/' .config
%endif
%if %{with encryption}
%{__sed} -i 's/module_encryption=n/module_encryption=m/' .config
%else
%{__sed} -i 's/module_encryption=m/module_encryption=n/' .config
%endif
%if %{with filedesc}
%{__sed} -i 's/module_filedesc=n/module_filedesc=m/' .config
%else
%{__sed} -i 's/module_filedesc=m/module_filedesc=n/' .config
%endif
%if %{with filtering}
%{__sed} -i 's/module_filtering=n/module_filtering=m/' .config
%else
%{__sed} -i 's/module_filtering=m/module_filtering=n/' .config
%endif
%if %{with firewall}
%{__sed} -i 's/module_firewall=n/module_firewall=m/' .config
%else
%{__sed} -i 's/module_firewall=m/module_firewall=n/' .config
%endif
%if %{with iwait4u}
%{__sed} -i 's/module_iwait4u=n/module_iwait4u=m/' .config
%else
%{__sed} -i 's/module_iwait4u=m/module_iwait4u=n/' .config
%endif
%if %{with mail}
%{__sed} -i 's/module_mail=n/module_mail=m/' .config
%else
%{__sed} -i 's/module_mail=m/module_mail=n/' .config
%endif
%if %{with mediaplayer}
%{__sed} -i 's/module_mediaplayer=n/module_mediaplayer=m/' .config
%else
%{__sed} -i 's/module_mediaplayer=m/module_mediaplayer=n/' .config
%endif
%if %{with mediaplayer_amarok}
%{__sed} -i 's/module_amarok_mediaplayer=n/module_amarok_mediaplayer=m/' .config
echo 'MODULE_INCLUDES_PATH="%{_includedir}"' >> modules/amarok_mediaplayer/spec
echo 'MODULE_LIBS_PATH="%{_libdir}"' >> modules/amarok_mediaplayer/spec
%else
%{__sed} -i 's/module_amarok_mediaplayer=m/module_amarok_mediaplayer=n/' .config
%endif
%if %{with mediaplayer_audacious}
%{__sed} -i 's/module_audacious_mediaplayer=n/module_audacious_mediaplayer=m/' .config
%else
%{__sed} -i 's/module_audacious_mediaplayer=m/module_audacious_mediaplayer=n/' .config
%endif
%if %{with mediaplayer_falf}
%{__sed} -i 's/module_falf_mediaplayer=n/module_falf_mediaplayer=m/' .config
%else
%{__sed} -i 's/module_falf_mediaplayer=m/module_falf_mediaplayer=n/' .config
%endif
%if %{with mediaplayer_xmms}
%{__sed} -i 's/module_xmms_mediaplayer=n/module_xmms_mediaplayer=m/' .config
%else
%{__sed} -i 's/module_xmms_mediaplayer=m/module_xmms_mediaplayer=n/' .config
%endif
%if %{with mime_tex}
%{__sed} -i 's/module_mime_tex=n/module_mime_tex=m/' .config
%else
%{__sed} -i 's/module_mime_tex=m/module_mime_tex=n/' .config
%endif
%if %{with notify_exec}
%{__sed} -i 's/module_exec_notify=n/module_exec_notify=m/' .config
%else
%{__sed} -i 's/module_exec_notify=m/module_exec_notify=n/' .config
%endif
%if %{with notify_led}
%{__sed} -i 's/module_led_notify=n/module_led_notify=m/' .config
%else
%{__sed} -i 's/module_led_notify=m/module_led_notify=n/' .config
%endif
%if %{with notify_mx610}
%{__sed} -i 's/module_mx610_notify=n/module_mx610_notify=m/' .config
%else
%{__sed} -i 's/module_mx610_notify=m/module_mx610_notify=n/' .config
%endif
%if %{with notify_osdhints}
%{__sed} -i 's/module_osdhints_notify=n/module_osdhints_notify=m/' .config
%else
%{__sed} -i 's/module_osdhints_notify=m/module_osdhints_notify=n/' .config
%endif
%if %{with notify_pcspeaker}
%{__sed} -i 's/module_pcspeaker=n/module_pcspeaker=m/' .config
%else
%{__sed} -i 's/module_pcspeaker=m/module_pcspeaker=n/' .config
%endif
%if %{with notify_speech}
%{__sed} -i 's/module_speech=n/module_speech=m/' .config
%else
%{__sed} -i 's/module_speech=m/module_speech=n/' .config
%endif
%if %{with notify_water}
%{__sed} -i 's/module_water_notify=n/module_water_notify=m/' .config
%else
%{__sed} -i 's/module_water_notify=m/module_water_notify=n/' .config
%endif
%if %{with notify_xosd}
%{__sed} -i 's/module_xosd_notify=n/module_xosd_notify=m/' .config
%else
%{__sed} -i 's/module_xosd_notify=m/module_xosd_notify=n/' .config
%endif
%if %{with panelkadu}
%{__sed} -i 's/module_panelkadu=n/module_panelkadu=m/' .config
%else
%{__sed} -i 's/module_panelkadu=m/module_panelkadu=n/' .config
%endif
%if %{with powerkadu}
%{__sed} -i 's/module_powerkadu=n/module_powerkadu=m/' .config
# fix for 20070107 version
rm -f modules/powerkadu/bin/mimetex
%else
%{__sed} -i 's/module_powerkadu=m/module_powerkadu=n/' .config
%endif
%if %{with profiles}
%{__sed} -i 's/module_profiles=n/module_profiles=m/' .config
%else
%{__sed} -i 's/module_profiles=m/module_profiles=n/' .config
%endif
%if %{with screenshot}
%{__sed} -i 's/module_screenshot=n/module_screenshot=m/' .config
%else
%{__sed} -i 's/module_screenshot=m/module_screenshot=n/' .config
%endif
%if %{with sms_miastoplusa}
%{__sed} -i 's/module_miastoplusa_sms=n/module_miastoplusa_sms=m/' .config
%else
%{__sed} -i 's/module_miastoplusa_sms=m/module_miastoplusa_sms=n/' .config
%endif
%if %{with sound_alsa}
%{__sed} -i 's/module_alsa_sound=n/module_alsa_sound=m/' .config
%else
%{__sed} -i 's/module_alsa_sound=m/module_alsa_sound=n/' .config
%endif
%if %{with sound_ao}
%{__sed} -i 's/module_ao_sound=n/module_ao_sound=m/' .config
%else
%{__sed} -i 's/module_ao_sound=m/module_ao_sound=n/' .config
%endif
%if %{with sound_arts}
%{__sed} -i 's/module_arts_sound=n/module_arts_sound=m/' .config
%else
%{__sed} -i 's/module_arts_sound=m/module_arts_sound=n/' .config
%endif
%if %{with sound_dsp}
%{__sed} -i 's/module_dsp_sound=n/module_dsp_sound=m/' .config
%else
%{__sed} -i 's/module_dsp_sound=m/module_dsp_sound=n/' .config
%endif
%if %{with sound_esd}
%{__sed} -i 's/module_esd_sound=n/module_esd_sound=m/' .config
%else
%{__sed} -i 's/module_esd_sound=m/module_esd_sound=n/' .config
%endif
%if %{with sound_ext}
%{__sed} -i 's/module_ext_sound=n/module_ext_sound=m/' .config
%else
%{__sed} -i 's/module_ext_sound=m/module_ext_sound=n/' .config
%endif
%if %{with sound_nas}
%{__sed} -i 's/module_nas_sound=n/module_nas_sound=m/' .config
echo 'MODULE_LIBS_PATH="%{_prefix}/lib"' >> modules/nas_sound/spec
%else
%{__sed} -i 's/module_nas_sound=m/module_nas_sound=n/' .config
%endif
%if %{with spellchecker}
%{__sed} -i 's/module_spellchecker=n/module_spellchecker=m/' .config
%else
%{__sed} -i 's/module_spellchecker=m/module_spellchecker=n/' .config
%endif
%if %{with tabs}
%{__sed} -i 's/module_tabs=n/module_tabs=m/' .config
%else
%{__sed} -i 's/module_tabs=m/module_tabs=n/' .config
%endif
%if %{with voice}
%{__sed} -i 's/module_voice=n/module_voice=m/' .config
%else
%{__sed} -i 's/module_voice=m/module_voice=n/' .config
%endif
%if %{with weather}
%{__sed} -i 's/module_weather=n/module_weather=m/' .config
%else
%{__sed} -i 's/module_weather=m/module_weather=n/' .config
%endif

%{__sed} -i 's/icons_glass16=n/icons_glass16=y/' .config
%{__sed} -i 's/icons_glass22=n/icons_glass22=y/' .config
%{__sed} -i 's/icons_oxygen16=n/icons_oxygen16=y/' .config
%{__sed} -i 's/icons_tango16=n/icons_tango16=y/' .config

chmod u+w aclocal.m4 configure
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
CXXFLAGS="-DDBUS_API_SUBJECT_TO_CHANGE"
%configure \
	--%{?with_debug:en}%{!?with_debug:dis}able-debug \
	--enable-dist-info="PLD Linux Distribution" \
	--disable-autodownload
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

# We dont need 8 same icons with just diffrent size - one is enough
rm -f  $RPM_BUILD_ROOT%{_pixmapsdir}/*.png
install kadu-core/hi64-app-kadu.png $RPM_BUILD_ROOT%{_pixmapsdir}/kadu.png

# Remove useless scripts
rm -f $RPM_BUILD_ROOT%{_bindir}/kadu-{mozilla,config}

rm -rf $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HISTORY README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%dir %{_datadir}/%{name}
%dir %{_modules_data_dir}
%dir %{_modules_data_dir}/data
%dir %{_datadir}/%{name}/themes
%dir %{_datadir}/%{name}/themes/emoticons
%{_datadir}/%{name}/themes/emoticons/penguins
%dir %{_datadir}/%{name}/themes/icons
%{_datadir}/%{name}/themes/icons/default
%dir %{_datadir}/%{name}/themes/sounds
%{_datadir}/%{name}/themes/sounds/default
#About... files
%{_datadir}/%{name}/AUTHORS
%{_datadir}/%{name}/ChangeLog
%{_datadir}/%{name}/COPYING
%{_datadir}/%{name}/THANKS
#default modules:
%dir %{_libdir}/%{name}
%dir %{_modules_lib_dir}
%dir %{_modules_bin_dir}
%{_modules_data_dir}/account_management.desc
%attr(755,root,root) %{_modules_lib_dir}/account_management.so
%{_modules_data_dir}/autoaway.desc
%attr(755,root,root) %{_modules_lib_dir}/autoaway.so
%{_modules_data_dir}/config_wizard.desc
%attr(755,root,root) %{_modules_lib_dir}/config_wizard.so
%{_modules_data_dir}/dcc.desc
%attr(755,root,root) %{_modules_lib_dir}/dcc.so
%{_modules_data_dir}/default_sms.desc
%attr(755,root,root) %{_modules_lib_dir}/default_sms.so
%{_modules_data_dir}/docking.desc
%{_modules_data_dir}/hints.desc
%attr(755,root,root) %{_modules_lib_dir}/hints.so
%{_modules_data_dir}/migration.desc
%attr(755,root,root) %{_modules_lib_dir}/migration.so
%{_modules_data_dir}/notify.desc
%{_modules_data_dir}/sms.desc
%attr(755,root,root) %{_modules_lib_dir}/sms.so
%{_modules_data_dir}/history.desc
%attr(755,root,root) %{_modules_lib_dir}/history.so
%{_modules_data_dir}/sound.desc
%{_modules_data_dir}/window_notify.desc
%attr(755,root,root) %{_modules_lib_dir}/window_notify.so
%{_modules_data_dir}/x11_docking.desc
%attr(755,root,root) %{_modules_lib_dir}/x11_docking.so

#default modules translation:
%dir %{_modules_data_dir}/translations
%lang(de) %{_modules_data_dir}/translations/account_management_de.qm
%lang(fr) %{_modules_data_dir}/translations/account_management_fr.qm
%lang(it) %{_modules_data_dir}/translations/account_management_it.qm
%lang(pl) %{_modules_data_dir}/translations/account_management_pl.qm
%lang(de) %{_modules_data_dir}/translations/autoaway_de.qm
%lang(fr) %{_modules_data_dir}/translations/autoaway_fr.qm
%lang(it) %{_modules_data_dir}/translations/autoaway_it.qm
%lang(pl) %{_modules_data_dir}/translations/autoaway_pl.qm
%lang(de) %{_modules_data_dir}/translations/config_wizard_de.qm
%lang(fr) %{_modules_data_dir}/translations/config_wizard_fr.qm
%lang(it) %{_modules_data_dir}/translations/config_wizard_it.qm
%lang(pl) %{_modules_data_dir}/translations/config_wizard_pl.qm
%lang(de) %{_modules_data_dir}/translations/dcc_de.qm
%lang(fr) %{_modules_data_dir}/translations/dcc_fr.qm
%lang(it) %{_modules_data_dir}/translations/dcc_it.qm
%lang(pl) %{_modules_data_dir}/translations/dcc_pl.qm
%lang(de) %{_modules_data_dir}/translations/default_sms_de.qm
%lang(fr) %{_modules_data_dir}/translations/default_sms_fr.qm
%lang(it) %{_modules_data_dir}/translations/default_sms_it.qm
%lang(pl) %{_modules_data_dir}/translations/default_sms_pl.qm
%lang(de) %{_modules_data_dir}/translations/docking_de.qm
%lang(fr) %{_modules_data_dir}/translations/docking_fr.qm
%lang(it) %{_modules_data_dir}/translations/docking_it.qm
%lang(pl) %{_modules_data_dir}/translations/docking_pl.qm
%lang(de) %{_modules_data_dir}/translations/hints_de.qm
%lang(fr) %{_modules_data_dir}/translations/hints_fr.qm
%lang(it) %{_modules_data_dir}/translations/hints_it.qm
%lang(pl) %{_modules_data_dir}/translations/hints_pl.qm
%lang(de) %{_modules_data_dir}/translations/history_de.qm
%lang(fr) %{_modules_data_dir}/translations/history_fr.qm
%lang(it) %{_modules_data_dir}/translations/history_it.qm
%lang(pl) %{_modules_data_dir}/translations/history_pl.qm
%lang(de) %{_modules_data_dir}/translations/migration_de.qm
%lang(fr) %{_modules_data_dir}/translations/migration_fr.qm
%lang(it) %{_modules_data_dir}/translations/migration_it.qm
%lang(pl) %{_modules_data_dir}/translations/migration_pl.qm
%lang(de) %{_modules_data_dir}/translations/notify_de.qm
%lang(fr) %{_modules_data_dir}/translations/notify_fr.qm
%lang(it) %{_modules_data_dir}/translations/notify_it.qm
%lang(pl) %{_modules_data_dir}/translations/notify_pl.qm
%lang(de) %{_modules_data_dir}/translations/sms_de.qm
%lang(fr) %{_modules_data_dir}/translations/sms_fr.qm
%lang(it) %{_modules_data_dir}/translations/sms_it.qm
%lang(pl) %{_modules_data_dir}/translations/sms_pl.qm
%lang(de) %{_modules_data_dir}/translations/sound_de.qm
%lang(fr) %{_modules_data_dir}/translations/sound_fr.qm
%lang(it) %{_modules_data_dir}/translations/sound_it.qm
%lang(pl) %{_modules_data_dir}/translations/sound_pl.qm
%lang(de) %{_modules_data_dir}/translations/window_notify_de.qm
%lang(fr) %{_modules_data_dir}/translations/window_notify_fr.qm
%lang(it) %{_modules_data_dir}/translations/window_notify_it.qm
%lang(pl) %{_modules_data_dir}/translations/window_notify_pl.qm
%lang(de) %{_modules_data_dir}/translations/x11_docking_de.qm
%lang(fr) %{_modules_data_dir}/translations/x11_docking_fr.qm
%lang(it) %{_modules_data_dir}/translations/x11_docking_it.qm
%lang(pl) %{_modules_data_dir}/translations/x11_docking_pl.qm
#global translation:
%dir %{_datadir}/%{name}/translations
%lang(de) %{_datadir}/%{name}/translations/kadu_de.qm
%lang(en) %{_datadir}/%{name}/translations/kadu_en.qm
%lang(fr) %{_datadir}/%{name}/translations/kadu_fr.qm
%lang(it) %{_datadir}/%{name}/translations/kadu_it.qm
%lang(pl) %{_datadir}/%{name}/translations/kadu_pl.qm
%lang(de) %{_datadir}/%{name}/translations/qt_de.qm
%lang(en) %{_datadir}/%{name}/translations/qt_en.qm
%lang(en) %{_datadir}/%{name}/translations/qt_fr.qm
%lang(it) %{_datadir}/%{name}/translations/qt_it.qm
%lang(pl) %{_datadir}/%{name}/translations/qt_pl.qm
#wizard
%{_modules_data_dir}/data/config_wizard
%{_datadir}/%{name}/configuration
%{_datadir}/%{name}/syntax

%dir %{_modules_data_dir}/configuration
%{_modules_data_dir}/configuration/autoaway.ui
%{_modules_data_dir}/configuration/dcc.ui
%{_modules_data_dir}/configuration/default_sms.ui
%{_modules_data_dir}/configuration/docking.ui
%{_modules_data_dir}/configuration/hints.ui
%{_modules_data_dir}/configuration/history.ui
%{_modules_data_dir}/configuration/notify.ui
%{_modules_data_dir}/configuration/sms.ui
%{_modules_data_dir}/configuration/sound.ui

%if %{with advanced_userlist}
%files module-advanced_userlist
%defattr(644,root,root,755)
%{_modules_data_dir}/advanced_userlist.desc
%{_modules_data_dir}/configuration/advanced_userlist.ui
%attr(755,root,root) %{_modules_lib_dir}/advanced_userlist.so
%lang(de) %{_modules_data_dir}/translations/advanced_userlist_de.qm
%lang(fr) %{_modules_data_dir}/translations/advanced_userlist_fr.qm
%lang(it) %{_modules_data_dir}/translations/advanced_userlist_it.qm
%lang(pl) %{_modules_data_dir}/translations/advanced_userlist_pl.qm
%endif

%if %{with agent}
%files module-agent
%defattr(644,root,root,755)
%{_modules_data_dir}/agent.desc
%attr(755,root,root) %{_modules_lib_dir}/agent.so
%lang(pl) %{_modules_data_dir}/translations/agent_pl.qm
%endif

%if %{with autoresponder}
%files module-autoresponder
%defattr(644,root,root,755)
%{_modules_data_dir}/autoresponder.desc
%{_modules_data_dir}/configuration/autoresponder.ui
%attr(755,root,root) %{_modules_lib_dir}/autoresponder.so
%lang(de) %{_modules_data_dir}/translations/autoresponder_de.qm
%lang(fr) %{_modules_data_dir}/translations/autoresponder_fr.qm
%lang(it) %{_modules_data_dir}/translations/autoresponder_it.qm
%lang(pl) %{_modules_data_dir}/translations/autoresponder_pl.qm
%endif

%if %{with encryption}
%files module-encryption
%defattr(644,root,root,755)
%{_modules_data_dir}/encryption.desc
%{_modules_data_dir}/configuration/encryption.ui
%attr(755,root,root) %{_modules_lib_dir}/encryption.so
%lang(de) %{_modules_data_dir}/translations/encryption_de.qm
%lang(fr) %{_modules_data_dir}/translations/encryption_fr.qm
%lang(it) %{_modules_data_dir}/translations/encryption_it.qm
%lang(pl) %{_modules_data_dir}/translations/encryption_pl.qm
%endif

%if %{with dcopexport}
%files module-dcopexport
%defattr(644,root,root,755)
%{_modules_data_dir}/dcopexport.desc
%attr(755,root,root) %{_modules_lib_dir}/dcopexport.so
%lang(pl) %{_modules_data_dir}/translations/dcopexport_pl.qm
%dir %{_modules_bin_dir}/dcopexport
%attr(755,root,root) %{_modules_bin_dir}/dcopexport/install-firefox-gg.sh
%attr(755,root,root) %{_modules_bin_dir}/dcopexport/install-konqueror-gg.sh
%attr(755,root,root) %{_modules_bin_dir}/dcopexport/install-konqueror-setAsKaduDesc.sh
%attr(755,root,root) %{_modules_bin_dir}/dcopexport/install-opera-gg.sh
%attr(755,root,root) %{_modules_bin_dir}/dcopexport/kadu-gg-handler.sh
%dir %{_modules_data_dir}/data/dcopexport
%{_modules_data_dir}/data/dcopexport/dcopexport.png
%endif

%if %{with docking_desktop}
%files module-docking-desktop
%defattr(644,root,root,755)
%{_modules_data_dir}/desktop_docking.desc
%{_modules_data_dir}/configuration/desktop_docking.ui
%attr(755,root,root) %{_modules_lib_dir}/desktop_docking.so
%lang(de) %{_modules_data_dir}/translations/desktop_docking_de.qm
%lang(fr) %{_modules_data_dir}/translations/desktop_docking_fr.qm
%lang(it) %{_modules_data_dir}/translations/desktop_docking_it.qm
%lang(pl) %{_modules_data_dir}/translations/desktop_docking_pl.qm
%endif

%if %{with filedesc}
%files module-filedesc
%defattr(644,root,root,755)
%{_modules_data_dir}/filedesc.desc
%{_modules_data_dir}/configuration/filedesc.ui
%attr(755,root,root) %{_modules_lib_dir}/filedesc.so
%lang(pl) %{_modules_data_dir}/translations/filedesc_pl.qm
%dir %{_modules_data_dir}/data/filedesc
%{_modules_data_dir}/data/filedesc/*.png
%endif

%if %{with filtering}
%files module-filtering
%defattr(644,root,root,755)
%{_modules_data_dir}/filtering.desc
%{_modules_data_dir}/configuration/filtering.ui
%attr(755,root,root) %{_modules_lib_dir}/filtering.so
%lang(pl) %{_modules_data_dir}/translations/filtering_pl.qm
%dir %{_modules_data_dir}/data/filtering
%{_modules_data_dir}/data/filtering/*.png
%endif

%if %{with firewall}
%files module-firewall
%defattr(644,root,root,755)
%{_modules_data_dir}/filtering.desc
%{_modules_data_dir}/configuration/firewall.ui
%attr(755,root,root) %{_modules_lib_dir}/firewall.so
%lang(pl) %{_modules_data_dir}/translations/firewall_pl.qm
%{_modules_data_dir}/firewall.desc
%endif

%if %{with iwait4u}
%files module-iwait4u
%defattr(644,root,root,755)
%{_modules_data_dir}/iwait4u.desc
%attr(755,root,root) %{_modules_lib_dir}/iwait4u.so
%lang(pl) %{_modules_data_dir}/translations/iwait4u_pl.qm
%endif

%if %{with mail}
%files module-mail
%defattr(644,root,root,755)
%{_modules_data_dir}/mail.desc
%{_modules_data_dir}/configuration/mail.ui
%attr(755,root,root) %{_modules_lib_dir}/mail.so
%lang(pl) %{_modules_data_dir}/translations/mail_pl.qm
%endif

%if %{with mediaplayer}
%files module-mediaplayer
%defattr(644,root,root,755)
%{_modules_data_dir}/mediaplayer.desc
%{_modules_data_dir}/configuration/mediaplayer.ui
%attr(755,root,root) %{_modules_lib_dir}/mediaplayer.so
%{_modules_data_dir}/data/mediaplayer
%lang(pl) %{_modules_data_dir}/translations/mediaplayer_pl.qm
%endif

%if %{with mediaplayer_amarok}
%files module-mediaplayer-amarok
%defattr(644,root,root,755)
%{_modules_data_dir}/amarok_mediaplayer.desc
%attr(755,root,root) %{_modules_lib_dir}/amarok_mediaplayer.so
%endif

%if %{with mediaplayer_audacious}
%files module-mediaplayer-audacious
%defattr(644,root,root,755)
%{_modules_data_dir}/audacious_mediaplayer.desc
%attr(755,root,root) %{_modules_lib_dir}/audacious_mediaplayer.so
%endif

%if %{with mediaplayer_falf}
%files module-mediaplayer-falf
%defattr(644,root,root,755)
%{_modules_data_dir}/falf_mediaplayer.desc
%attr(755,root,root) %{_modules_lib_dir}/falf_mediaplayer.so
%endif

%if %{with mediaplayer_xmms}
%files module-mediaplayer-xmms
%defattr(644,root,root,755)
%{_modules_data_dir}/xmms_mediaplayer.desc
%attr(755,root,root) %{_modules_lib_dir}/xmms_mediaplayer.so
%endif

%if %{with mime_tex}
%files module-mime_tex
%defattr(644,root,root,755)
%dir %{_modules_bin_dir}/mime_tex
%attr(755,root,root) %{_modules_bin_dir}/mime_tex/mimetex
%{_modules_data_dir}/mime_tex.desc
%{_modules_data_dir}/configuration/mime_tex.ui
%attr(755,root,root) %{_modules_lib_dir}/mime_tex.so
%dir %{_modules_data_dir}/data/mime_tex
%dir %{_modules_data_dir}/data/mime_tex/editor_icons
%dir %{_modules_data_dir}/data/mime_tex/mime_tex_icons
%{_modules_data_dir}/data/mime_tex/mime_tex_32x32.png
%{_modules_data_dir}/data/mime_tex/editor_icons/*.png
%{_modules_data_dir}/data/mime_tex/mime_tex_icons/*.png
%lang(pl) %{_modules_data_dir}/translations/mime_tex_pl.qm
%endif

%if %{with notify_exec}
%files module-notify-exec
%defattr(644,root,root,755)
%{_modules_data_dir}/exec_notify.desc
%attr(755,root,root) %{_modules_lib_dir}/exec_notify.so
%lang(de) %{_modules_data_dir}/translations/exec_notify_de.qm
%lang(fr) %{_modules_data_dir}/translations/exec_notify_fr.qm
%lang(it) %{_modules_data_dir}/translations/exec_notify_it.qm
%lang(pl) %{_modules_data_dir}/translations/exec_notify_pl.qm
%endif

%if %{with notify_led}
%files module-notify-led
%defattr(644,root,root,755)
%{_modules_data_dir}/led_notify.desc
%{_modules_data_dir}/configuration/led_notify.ui
%attr(755,root,root) %{_modules_lib_dir}/led_notify.so
%lang(pl) %{_modules_data_dir}/translations/led_notify_pl.qm
%endif

%if %{with notify_mx610}
%files module-notify-mx610
%defattr(644,root,root,755)
%{_modules_data_dir}/mx610_notify.desc
%{_modules_data_dir}/configuration/mx610_notify.ui
%attr(755,root,root) %{_modules_lib_dir}/mx610_notify.so
%lang(pl) %{_modules_data_dir}/translations/mx610_notify_pl.qm
%endif

%if %{with notify_osdhints}
%files module-notify-osdhints
%defattr(644,root,root,755)
%{_modules_data_dir}/osdhints_notify.desc
%{_modules_data_dir}/configuration/osdhints_notify.ui
%attr(755,root,root) %{_modules_lib_dir}/osdhints_notify.so
%lang(pl) %{_modules_data_dir}/translations/osdhints_notify_pl.qm
%dir %{_modules_data_dir}/data/osdhints_notify
%{_modules_data_dir}/data/osdhints_notify/License
%{_modules_data_dir}/data/osdhints_notify/*.png
%endif

%if %{with notify_pcspeaker}
%files module-notify-pcspeaker
%defattr(644,root,root,755)
%{_modules_data_dir}/pcspeaker.desc
%{_modules_data_dir}/configuration/pcspeaker.ui
%attr(755,root,root) %{_modules_lib_dir}/pcspeaker.so
%lang(de) %{_modules_data_dir}/translations/pcspeaker_de.qm
%lang(it) %{_modules_data_dir}/translations/pcspeaker_it.qm
%lang(pl) %{_modules_data_dir}/translations/pcspeaker_pl.qm
%endif

%if %{with notify_speech}
%files module-notify-speech
%defattr(644,root,root,755)
%{_modules_data_dir}/speech.desc
%{_modules_data_dir}/configuration/speech.ui
%attr(755,root,root) %{_modules_lib_dir}/speech.so
%lang(de) %{_modules_data_dir}/translations/speech_de.qm
%lang(fr) %{_modules_data_dir}/translations/speech_fr.qm
%lang(it) %{_modules_data_dir}/translations/speech_it.qm
%lang(pl) %{_modules_data_dir}/translations/speech_pl.qm
%endif

%if %{with notify_water}
%files module-notify-water
%defattr(644,root,root,755)
%{_modules_data_dir}/water_notify.desc
%{_modules_data_dir}/configuration/water_notify.ui
%attr(755,root,root) %{_modules_lib_dir}/water_notify.so
%lang(pl) %{_modules_data_dir}/translations/water_notify_pl.qm
%endif

%if %{with notify_xosd}
%files module-notify-xosd
%defattr(644,root,root,755)
%{_modules_data_dir}/xosd_notify.desc
%{_modules_data_dir}/configuration/xosd_notify.ui
%attr(755,root,root) %{_modules_lib_dir}/xosd_notify.so
%dir %{_modules_bin_dir}/xosd_notify
%attr(755,root,root) %{_modules_bin_dir}/xosd_notify/gtkfontdialog
%lang(de) %{_modules_data_dir}/translations/xosd_notify_de.qm
%lang(fr) %{_modules_data_dir}/translations/xosd_notify_fr.qm
%lang(it) %{_modules_data_dir}/translations/xosd_notify_it.qm
%lang(pl) %{_modules_data_dir}/translations/xosd_notify_pl.qm
%endif

%if %{with panelkadu}
%files module-panelkadu
%defattr(644,root,root,755)
%{_modules_data_dir}/panelkadu.desc
%{_modules_data_dir}/configuration/panelkadu.ui
%attr(755,root,root) %{_modules_lib_dir}/panelkadu.so
%lang(pl) %{_modules_data_dir}/translations/panelkadu_pl.qm
%endif

%if %{with powerkadu}
%files module-powerkadu
%defattr(644,root,root,755)
%{_modules_data_dir}/powerkadu.desc
%attr(755,root,root) %{_modules_lib_dir}/powerkadu.so
%lang(pl) %{_modules_data_dir}/translations/powerkadu_pl.qm
%dir %{_modules_bin_dir}/powerkadu
%attr(755,root,root) %{_modules_bin_dir}/powerkadu/mimetex
%{_modules_data_dir}/data/powerkadu
%endif

%if %{with profiles}
%files module-profiles
%defattr(644,root,root,755)
%{_modules_data_dir}/profiles.desc
%attr(755,root,root) %{_modules_lib_dir}/profiles.so
%lang(it) %{_modules_data_dir}/translations/profiles_it.qm
%lang(pl) %{_modules_data_dir}/translations/profiles_pl.qm
%endif

%if %{with screenshot}
%files module-screenshot
%defattr(644,root,root,755)
%{_modules_data_dir}/screenshot.desc
%{_modules_data_dir}/configuration/screenshot.ui
%attr(755,root,root) %{_modules_lib_dir}/screenshot.so
%lang(pl) %{_modules_data_dir}/translations/screenshot_pl.qm
%dir %{_modules_data_dir}/data/screenshot
%{_modules_data_dir}/data/screenshot/*.png
%endif

%if %{with sms_miastoplusa}
%files module-sms-miastoplusa
%defattr(644,root,root,755)
%{_modules_data_dir}/miastoplusa_sms.desc
%{_modules_data_dir}/configuration/miastoplusa_sms.ui
%attr(755,root,root) %{_modules_lib_dir}/miastoplusa_sms.so
%lang(pl) %{_modules_data_dir}/translations/miastoplusa_sms_pl.qm
%dir %{_modules_data_dir}/data/miastoplusa_sms
%{_modules_data_dir}/data/miastoplusa_sms/curl-ca-bundle.crt
%endif

%if %{with sound_alsa}
%files module-sound-alsa
%defattr(644,root,root,755)
%{_modules_data_dir}/alsa_sound.desc
%{_modules_data_dir}/configuration/alsa_sound.ui
%attr(755,root,root) %{_modules_lib_dir}/alsa_sound.so
%lang(de) %{_modules_data_dir}/translations/alsa_sound_de.qm
%lang(fr) %{_modules_data_dir}/translations/alsa_sound_fr.qm
%lang(it) %{_modules_data_dir}/translations/alsa_sound_it.qm
%lang(pl) %{_modules_data_dir}/translations/alsa_sound_pl.qm
%endif

%if %{with sound_ao}
%files module-sound-ao
%defattr(644,root,root,755)
%{_modules_data_dir}/ao_sound.desc
%attr(755,root,root) %{_modules_lib_dir}/ao_sound.so
%endif

%if %{with sound_arts}
%files module-sound-arts
%defattr(644,root,root,755)
%{_modules_data_dir}/arts_sound.desc
%attr(755,root,root) %{_modules_lib_dir}/arts_sound.so
%dir %{_modules_bin_dir}/arts_sound
%attr(755,root,root) %{_modules_bin_dir}/arts_sound/arts_connector
%endif

%if %{with sound_dsp}
%files module-sound-dsp
%defattr(644,root,root,755)
%{_modules_data_dir}/dsp_sound.desc
%{_modules_data_dir}/configuration/dsp_sound.ui
%attr(755,root,root) %{_modules_lib_dir}/dsp_sound.so
%lang(de) %{_modules_data_dir}/translations/dsp_sound_de.qm
%lang(fr) %{_modules_data_dir}/translations/dsp_sound_fr.qm
%lang(it) %{_modules_data_dir}/translations/dsp_sound_it.qm
%lang(pl) %{_modules_data_dir}/translations/dsp_sound_pl.qm
%endif

%if %{with sound_esd}
%files module-sound-esd
%defattr(644,root,root,755)
%{_modules_data_dir}/esd_sound.desc
%attr(755,root,root) %{_modules_lib_dir}/esd_sound.so
%endif

%if %{with sound_ext}
%files module-sound-ext
%defattr(644,root,root,755)
%{_modules_data_dir}/ext_sound.desc
%{_modules_data_dir}/configuration/ext_sound.ui
%attr(755,root,root) %{_modules_lib_dir}/ext_sound.so
%lang(de) %{_modules_data_dir}/translations/ext_sound_de.qm
%lang(fr) %{_modules_data_dir}/translations/ext_sound_fr.qm
%lang(it) %{_modules_data_dir}/translations/ext_sound_it.qm
%lang(pl) %{_modules_data_dir}/translations/ext_sound_pl.qm
%endif

%if %{with sound_nas}
%files module-sound-nas
%defattr(644,root,root,755)
%{_modules_data_dir}/nas_sound.desc
%attr(755,root,root) %{_modules_lib_dir}/nas_sound.so
%endif

%if %{with spellchecker}
%files module-spellchecker
%defattr(644,root,root,755)
%{_modules_data_dir}/spellchecker.desc
%{_modules_data_dir}/configuration/spellchecker.ui
%attr(755,root,root) %{_modules_lib_dir}/spellchecker.so
%lang(pl) %{_modules_data_dir}/translations/spellchecker_pl.qm
%dir %{_modules_data_dir}/data/spellchecker
%{_modules_data_dir}/data/spellchecker/config.png
%endif

%if %{with tabs}
%files module-tabs
%defattr(644,root,root,755)
%{_modules_data_dir}/tabs.desc
%{_modules_data_dir}/configuration/tabs.ui
%attr(755,root,root) %{_modules_lib_dir}/tabs.so
%lang(pl) %{_modules_data_dir}/translations/tabs_pl.qm
%endif

%if %{with voice}
%files module-voice
%defattr(644,root,root,755)
%{_modules_data_dir}/voice.desc
%{_modules_data_dir}/configuration/voice.ui
%attr(755,root,root) %{_modules_lib_dir}/voice.so
%lang(de) %{_modules_data_dir}/translations/voice_de.qm
%lang(fr) %{_modules_data_dir}/translations/voice_fr.qm
%lang(it) %{_modules_data_dir}/translations/voice_it.qm
%lang(pl) %{_modules_data_dir}/translations/voice_pl.qm
%endif

%if %{with weather}
%files module-weather
%defattr(644,root,root,755)
%{_modules_data_dir}/weather.desc
%{_modules_data_dir}/configuration/weather.ui
%attr(755,root,root) %{_modules_lib_dir}/weather.so
%lang(pl) %{_modules_data_dir}/translations/weather_pl.qm
%dir %{_modules_data_dir}/data/weather
%{_modules_data_dir}/data/weather/*.ini
%dir %{_modules_data_dir}/data/weather/icons
%{_modules_data_dir}/data/weather/icons/*.gif
%endif

%files theme-icons-glass16
%defattr(644,root,root,755)
%{_datadir}/%{name}/themes/icons/glass16

%files theme-icons-glass22
%defattr(644,root,root,755)
%{_datadir}/%{name}/themes/icons/glass22

%files theme-icons-oxygen16
%defattr(644,root,root,755)
%{_datadir}/%{name}/themes/icons/oxygen16

%files theme-icons-tango16
%defattr(644,root,root,755)
%{_datadir}/%{name}/themes/icons/tango16

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kadu.spec,v $
Revision 1.97.2.102.2.4  2008-02-19 20:17:50  arvenil
- up to 0.6.0rc4 (merged from DEVEL)
- merged other changes from DEVEL

Revision 1.97.2.102.2.3  2008-02-16 08:43:43  arvenil
- define DBUS_API_SUBJECT_TO_CHANGE for water_notify module and enable this module

Revision 1.97.2.102.2.2  2008-02-15 19:59:30  arvenil
- up to 0.6.0-rc3 (merged from DEVEL)
- merged all other changes from DEVEL
- added TODO

Revision 1.97.2.102.2.1  2008-01-26 22:04:28  arvenil
- DEVEL version for AC

Revision 1.97.2.102  2008-01-25 17:19:53  arvenil
- don't use "Provides > version" (now for kadu-module-xmms)

Revision 1.97.2.101  2008-01-25 16:15:08  qboosh
- don't use "Provides > version"

Revision 1.97.2.100  2008-01-24 21:11:11  arvenil
- voice module excluded to seperate package

Revision 1.97.2.99  2008-01-24 20:06:15  arvenil
- module wheather up to 3.12
- all translations and *.desc files moved from %{_libdir} to %{_datadir}
- package only one icon instead of 8 (one is enough)
- remove useless scripts kadu-{mozilla,config} from package
- more verbose files sections
- some translations were in main package but should be in subpackages

Revision 1.97.2.98  2008-01-20 23:26:43  arvenil
- provides/obsoletes for amarok and xmms module

Revision 1.97.2.97  2008-01-20 22:18:17  arvenil
- module weather up to 3.11

Revision 1.97.2.96  2008-01-20 12:22:55  arvenil
- proper icons Obsoletes:/

Revision 1.97.2.95  2008-01-20 11:17:45  arvenil
- added debug bcond

Revision 1.97.2.94  2008-01-20 10:54:05  arvenil
- removed crystal* icons and added Obsolete (unsupported in kadu 0.6.0)
- removed nuvola* icons and added Obsolete (unsupported in kadu 0.6.0)
- pass --disable-autodownload option to configure for prevent autodownload
- updated TODO
- cleanup in Log section

Revision 1.97.2.93  2008-01-19 23:52:17  arvenil
- forgot to unpack oxygen and tango icon themes
- proper files packaging for mime_tex module

Revision 1.97.2.92  2008-01-19 23:11:13  arvenil
- added oxygen icons theme
- added tango icons theme

Revision 1.97.2.91  2008-01-19 22:57:06  arvenil
- module encryption moved to subpackage
- module ext_sound moved to subpackage

Revision 1.97.2.90  2008-01-19 22:34:11  arvenil
- really disable build of advanced_userlist module
  when used bcond without

Revision 1.97.2.89  2008-01-19 21:34:19  arvenil
- some configuration files for modules were in main package

Revision 1.97.2.88  2008-01-19 21:13:00  arvenil
- enabled building xosd module as subpackage

Revision 1.97.2.87  2008-01-19 20:28:14  arvenil
- s#%{_libdir}/%{name}/modules#%{_modules_dir}#

Revision 1.97.2.86  2008-01-19 20:23:20  arvenil
- BR: artsc-devel
- BR: kdelibs-devel only for bcond mediaplayer_amarok and dcopexport
- rm BRs libtool, gettext-devel, arts-devel
- patch for voice module: use shared gsm library instead of static

Revision 1.97.2.85  2008-01-19 17:09:56  arvenil
- this is not final 0.6.0, proper release

Revision 1.97.2.84  2008-01-19 16:51:17  arvenil
- BR: audacious-devel >= 1.4.0 (for mediaplayer-audacious)
- updated glass icons

Revision 1.97.2.83  2008-01-19 16:13:41  arvenil
- added module sound-ao
- added module notify-mx610
- added module mime_tex
- added module mediaplayer-audacious (with patch)
- added module mail
- module agent != module spy so fixed description and dropped obsolete
  (obsolete dropped also becouse there was never spy on ftp)
- module dcopexport up to 0.11.3-20071129
- module firewall up to 0.7.3
- cleaning
- NFY

Revision 1.97.2.82  2008-01-17 21:22:10  arvenil
- firewall module updated to 0.7.1
- reenabled firewall module
- reenabled speech module
- fixed building mediaplayer_xmms module (first unpack, then patch;))

Revision 1.97.2.81  2008-01-15 19:12:59  cactus
- enables profiles module
- updated pcspeaker module
- patch dor xmms module added
- enabled xmms module
- up to 0.6.0-rc1
- rel 0.9

Revision 1.97.2.80  2008-01-15 18:37:11  arvenil
- updated and reenabled pcspeaker module

Revision 1.97.2.79  2008-01-15 17:54:38  arvenil
- if patch is already in sources then remove it, not only comment
- cleanups in TODO and added NOTE

Revision 1.97.2.78  2008-01-15 17:21:48  arvenil
- adapter

Revision 1.97.2.77  2008-01-14 16:48:39  blekot
- disabled patch is not in repo, commented

Revision 1.97.2.76  2008-01-13 21:06:32  cactus
- based on HEAD rewrited from 0
- need to use static libgadu from kadu package because of svn
- added lots of modules
- patch1 temporary disabled
- almost final, works well
- some modules disabled because they are not ported to 0.6.0

Revision 1.97.2.75  2008-01-12 19:35:44  cactus
- up to 0.6.0 beta2
- only default modules enabled
- tabs module enabled
- need some work, so please wait
- missing dirs added

Revision 1.97.2.74  2008-01-07 13:45:12  cieciwa
- turn off %echo.

Revision 1.97.2.73  2008-01-07 13:16:48  cieciwa
- update to version 0.6.0,
- release 0.1,
- NFY.

Revision 1.97.2.72  2007-02-12 13:20:13  baggins
- converted to UTF-8

Revision 1.97.2.71  2006/12/30 19:14:55  shadzik
- proper mail in rev 1.97.2.69 -> <uzi18 at o2 dot pl>

Revision 1.97.2.70  2006/12/30 19:06:51  shadzik
- fix %setup handling when building --with snap, it doesn't break common build

Revision 1.97.2.69  2006/12/23 22:05:34  shadzik
- better snapshot handling ( --with  snap)
- snapshot up to 20061218
- tcl_scripting removed
- powerkadu module added
- amorak mod up to 1.19
- libgadu up to 1.7
- spy mod up to 0.0.8-3
- xmms mod up to 1.32
- by Bartlomiej Zimon <uzi18 at o2 dot pl>

Revision 1.97.2.68  2006/11/13 21:08:28  shadzik
- better snapshot handling

Revision 1.97.2.67  2006/11/01 13:18:51  zergin
- version 0.20061025.3
- fix missing dirs

Revision 1.97.2.66  2006/10/31 22:29:12  zergin
- updated core to new snapshot (latest building)
- updated modules to latest snapshots
- added TODO
- reverted tcl_scripting/miasto_plusa bconds (can't get those to build)
- reverted spy bcond; consider dropping extension

- needs more extensive testing; works for me.

Revision 1.97.2.65  2006/09/26 09:08:56  zergin
- fixed miasto_plusa bcond (would fail on packaging due to missing files)

Revision 1.97.2.64  2006/03/16 00:51:58  jack
- updated to 20060315 snap
- updated to brand new weather_mod 3.0
- updated led_mod to 0.7

Revision 1.97.2.63  2006/01/12 11:08:46  jack
- updated to 20060112 snap
- updated amarok-mod to 1.17
- updated tabs to rev46
- tcl_scripting still doesn't compile

Revision 1.97.2.62  2005/12/12 17:39:11  jack
- updated to 20051212 snap
- updated amarok-mod to 1.16
- updated spy-mod to 0.0.8-2
- updated tcl-mod to 0.6.2-Josephine (but it still doesn't build)
- removed dirty hack agains /bin/sh linked to /bin/ksh - finaly fixed

Revision 1.97.2.61  2005/11/12 15:58:39  zergin
- added missing BR: qt-linguist

Revision 1.97.2.60  2005/10/21 22:10:55  jack
- updated to 20051021 snap
- updated weather_mod to 2.07
- updated led_mod to 0.5

Revision 1.97.2.59  2005/10/18 19:22:35  jack
- updated to 20051018 snap
- updated amarok_mod to 1.15
- updated weather_mod to 2.05
- spy and tcl_scripting still don't compile

Revision 1.97.2.58  2005/10/14 21:07:31  jack
- updated to 20051014 snap
- updated spellchecker_mod to 0.18
- updated xmms-mod to 1.30
- updated tabs to rev45
- updated miasto_plusa to 1.3.2
- patch for sending smses to orange included in sources
- mv -f stopped working (dunno why)
- amarok, spy, tcl_scripting and weather doesn't build for now

Revision 1.97.2.57  2005/09/27 18:05:39  jack
- updated to 20050927 snap
- updated tabs to rev42
- added patch for sending smses to orange network
- amarok, spy, tcl_scripting and xmms still don't build (since 20050910 snap AFAIR)

Revision 1.97.2.56  2005/09/07 18:23:49  jack
- updated to 20050907 snap
- updated amarok-mod to 1.14
- updated spellchecker-mod to 0.16
- updated xmms-mod to 1.27
- updated weather-mod to "svn" (temporary, athor notified)
- updated led_notify to "svn" (temporary, athor notified)
- updated tabs to rev41
- added dirty hack agains /bin/sh linked to /bin/ksh - there is a problem,
  probably with this change:
  http://www.kadu.net/viewcvs/trunk/modules/Makefile.am?rev=3461&r1=3420&r2=3461
  Someone wanna look at it?
- added de translation to amarok subpackage

Revision 1.97.2.55  2005/08/07 21:36:58  jack
- updated to 20050807 snap
- updated spy-mod to 0.0.8-1
- updated xmms-mod to 1.26
- updated weather-mod to 2.02
- updated tabs to rev38
- added migration files

Revision 1.97.2.54  2005/06/11 10:35:13  jack
- updated to 20050611 snap
- updated spy_mod to 0.0.8
- updated tcl_mod to 0.6.1-Isilmalinir
- updated tabs_mod to rev37

Revision 1.97.2.53  2005/05/26 09:14:42  jack
- updated to 20050526 snap
- added missing migration.{so,desc} files

Revision 1.97.2.52  2005/05/24 21:39:33  jack
- 0.5.0 started! ~/.gg -> ~/.kadu (read changelog)
- updated to 20050524 snap
- updated spellchecker_mod to 0.15
- updated tabs_mod to rev36

Revision 1.97.2.51  2005/05/07 09:41:16  jack
- updated to 20050507 snap
- added package -module-sound-alsa (+ bcond) <- synch with head
- added module miastoplusa_sms (+bcond)
- added modules led_notify and tabs
- removed outdated fix in weather module
- clean (synch with head)

Revision 1.97.2.50  2005/04/22 23:29:48  jack
- synch with HEAD

Revision 1.97.2.48  2005/04/13 17:53:59  jack
- updated to 20050413 snap

Revision 1.97.2.47  2005/04/04 22:38:44  jack
- updated snap to 20050404
- updated xmms-mod to 1.25

Revision 1.97.2.46  2005/03/19 12:29:31  jack
- updated snap to 20050319
- updated weather-mod to 2.01

Revision 1.97.2.45  2005/03/08 17:01:52  koorek
- reverted %%docs update

Revision 1.97.2.44  2005/03/08 15:41:21  koorek
- proper license
- updated %%doc files
- more pixmaps installed
- updated descriptions

Revision 1.97.2.43  2005/03/07 23:12:26  jack
- updated snap to 20050307
- updated xmms-mod to 1.24
- updated weather-mod to 2.0

Revision 1.97.2.42  2005/02/06 10:28:57  jack
- updated weather module to 1.55
- updated kadu snap to 20050206

Revision 1.97.2.41  2005/01/24 11:31:37  jack
- updated kadu to 20050124 snap
- updated xmms_mod to 1.23
- updated spellchecker_mod to 1.13

Revision 1.97.2.40  2005/01/13 21:29:41  jack
- build with libgadu from DEVEL
- added fr translations

Revision 1.97.2.39  2005/01/13 17:33:44  jack
- updated to 20050113

Revision 1.97.2.38  2004/12/29 20:04:20  jack
- updated to 20041229 snap
- unified sed usage   \
- s/perl -i/sed -i/g   >-- it's synch with HEAD ;)
- BR sed >= 4.0       /

Revision 1.97.2.37  2004/12/28 00:03:58  jack
- updated to 20041227 snap
- updated weather module to 1.54 (thx to author for quick response)
- added some .fr translations

Revision 1.97.2.36  2004/12/06 22:13:49  jack
- updated kadu to 20041206
- updated xmms module to 1.22
- updated weather modules to 1.52

Revision 1.97.2.35  2004/11/09 19:44:03  jack
- updated to 20041109
- updated spellchecker to 0.12

Revision 1.97.2.34  2004/10/25 19:43:14  jack
- updated to 20041025

Revision 1.97.2.33  2004/10/12 19:36:26  jack
- updated to 20041012
- commented out using our libgadu because it doesn't know GG_ACK_BLOCKED
  and GG_ACK_MBOXFULL (even snapshot 20041011)
- updated weather module

Revision 1.97.2.32  2004/09/13 19:29:27  paszczus
- cleanups

Revision 1.97.2.31  2004/09/13 16:14:24  jack
- updated to 20040913 & corrected typos made by paszczus ;)

Revision 1.97.2.30  2004/09/12 21:31:26  paszczus
- fix building without weather

Revision 1.97.2.29  2004/09/12 08:53:09  paszczus
- fix building without xmms support

Revision 1.97.2.28  2004/09/12 06:30:26  jack
- updated to 20040912

Revision 1.97.2.27  2004/09/11 13:25:35  jack
- updated to 20040911

Revision 1.97.2.26  2004/09/06 19:40:16  jack
- updated to 20040906 & typo & Provides

Revision 1.97.2.25  2004/09/05 21:58:43  jack
- lost in testing

Revision 1.97.2.24  2004/09/05 21:56:37  jack
- new modules have incorrect paths?

Revision 1.97.2.23  2004/09/05 20:54:31  jack
- updated to 20040905 & few features added

Revision 1.97.2.22  2004/08/28 11:20:52  jack
- xmms_mod_ver didn't want to work - downgraded
- some moves in doc and about option from menu

Revision 1.97.2.21  2004/08/28 10:11:14  jack
- fixed building and some update's

Revision 1.97.2.20  2004/08/28 08:03:10  jack
- wrrr...

Revision 1.97.2.19  2004/08/28 07:59:42  jack
- one char fled

Revision 1.97.2.18  2004/08/28 07:41:35  jack
updated to 20040828 & testing

Revision 1.97.2.17  2004/08/22 06:52:05  jack
- updated to 20040822

Revision 1.97.2.16  2004/08/04 18:08:45  jack
- updated to 20040804 (zajefajnie konfigurowalne dymki)

Revision 1.97.2.15  2004/07/27 18:01:05  jack
- updated to 20040727
- please help with %doc - it's looking for files in %{_datadir}/%{_name} while
  choosing "about" from program menu.

Revision 1.97.2.14  2004/07/25 14:27:51  jack
- updated to 20040725 (ziew)

Revision 1.97.2.13  2004/07/23 09:00:13  jack
- updated to 20040723 (previous was problem with connection)

Revision 1.97.2.12  2004/07/22 10:36:02  jack
- updated to 20040722

Revision 1.97.2.11  2004/07/15 18:10:59  jack
- updated to 20040715

Revision 1.97.2.10  2004/07/13 18:48:07  qboosh
- missing dirs, removed useless docs; found serious FHS violation

Revision 1.97.2.9  2004/07/13 16:08:19  jack
- updated to 20040713

Revision 1.97.2.8  2004/07/10 06:44:19  jack
- updated to 20040710
- langs were duplicated

Revision 1.97.2.7  2004/07/03 07:30:20  jack
- ekhm, it's 0.4.0 now

Revision 1.97.2.6  2004/07/03 07:28:58  jack
- 20040703
- updated xmmsadd to current version
- added langs from HEAD

Revision 1.97.2.5  2004/07/02 18:54:30  jack
- updated to 20040702

Revision 1.97.2.4  2004/06/30 20:58:02  jack
- cosmetics

Revision 1.97.2.3  2004/06/30 19:23:10  jack
- 20040630

Revision 1.97.2.2  2004/06/29 18:44:10  jack
- md5sum

Revision 1.97.2.1  2004/06/29 18:33:56  jack
- 20040629 (SE)

Revision 1.97  2004/06/29 18:31:00  jack
- start snapshoting (SE) ;)
- 20040628

Revision 1.95.4.1  2004/06/28 18:50:44  jack
- start snapshoting :)
- 20040628

Revision 1.95  2004/05/13 13:44:36  kolodko
- updated _xmms_mod_ver to 1.8

Revision 1.94  2004/04/30 10:38:28  gotar
- xmms status module from Grzegorz Konopko kolodko1 at wp pl

Revision 1.93  2004/04/20 12:42:25  krolik
- updated to 0.3.8

Revision 1.92  2004/04/18 16:46:29  blues
- merged fixes from RA, release 3 (rel. 2 reserved for RA)

Revision 1.91  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.90  2004/03/19 13:10:20  ankry
- massive change: BR: openssl-devel >= 0.9.6m

Revision 1.89  2004/02/04 15:03:57  pawelb
- up to 0.3.7

Revision 1.88  2004/01/27 11:47:52  erjot
- fix BR/R
- rel up

Revision 1.87  2003/12/01 21:30:33  adgor
- Removed unused applnkdir redefinition

Revision 1.86  2003/11/22 17:27:24  arekm
- updated to 0.3.6

Revision 1.85  2003/11/08 08:10:05  djrzulf
- added TODO,

Revision 1.84  2003/11/06 00:39:28  arekm
- updated to 0.3.5 (enabled voice)

Revision 1.83  2003/11/03 09:16:13  arekm
- rel 2

Revision 1.82  2003/09/30 20:18:24  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.81  2003/09/20 11:48:31  arekm
- updated to 0.3.4

Revision 1.80  2003/08/28 08:38:50  ankry
- s/An/A/

Revision 1.79  2003/08/23 18:51:23  arekm
- updated

Revision 1.78  2003/08/19 14:44:35  gotar
- fixed icon installation

Revision 1.77  2003/08/18 08:08:13  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.76  2003/08/13 20:07:45  adgor
- One icon directly in %%{_pixmapsdir}
- Removed bcond
- Removed BR libpng-devel (redundant)

Revision 1.75  2003/08/13 19:42:49  jack
- added BR qt-devel & libpng-devel

Revision 1.74  2003/08/12 22:32:47  ankry
- cosmetics

Revision 1.73  2003/08/11 22:56:24  maryush
- remove unnecessary br

Revision 1.72  2003/08/09 21:46:49  arekm
- fix config reading with qt 3.2

Revision 1.71  2003/07/12 10:35:56  blues
- added dist info

Revision 1.70  2003/07/12 10:14:21  blues
- cosmetics

Revision 1.69  2003/07/06 15:38:41  deejay1
- up to 0.3.4 rc3

Revision 1.68  2003/06/30 11:18:05  yoshi
- BuildRequires:  libgadu-devel >= 3:1.1

Revision 1.67  2003/06/23 23:27:05  arekm
- require new libgadu

Revision 1.66  2003/06/23 23:22:36  arekm
- updated to rc2

Revision 1.65  2003/06/19 14:25:11  adgor
- Fixed BR

Revision 1.64  2003/06/18 15:21:52  arekm
- updated to rc1

Revision 1.63  2003/06/15 16:05:25  adgor
- "with icondir" bcond
- Release 2

Revision 1.62  2003/05/28 16:51:59  djurban
- use system libgadu
- rebuild ac_am
- fixed openssl checks

Revision 1.61  2003/05/27 15:04:59  adgor
- patch0 already aplied

Revision 1.60  2003/05/27 11:58:22  adgor
- Up to 0.34-pre3

Revision 1.59  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.58  2003/05/25 05:49:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.57  2003/05/12 20:57:15  misiek
- sometimes do not reconnect

Revision 1.56  2003/05/10 20:00:06  misiek
- updated to pre 2

Revision 1.55  2003/05/05 12:20:47  qboosh
- fixed Epoch in R: libgadu

Revision 1.54  2003/05/04 18:21:33  adgor
- 0.3.4-pre1
- Fixed Requires
- Fixed %%post
- desktop file moved to %%{_desktopdir}

Revision 1.53  2003/04/04 12:13:23  misi3k
- updated to 0.3.3
- rel 1

Revision 1.52  2003/03/26 11:48:51  adgor
- Fixed Req

Revision 1.51  2003/03/20 15:25:48  misiek
- rc4

Revision 1.50  2003/03/14 10:09:34  adgor
- Removed last changes. See a few log lines below!

Revision 1.49  2003/03/13 21:47:51  tjbynum
- now build on ra.

Revision 1.48  2003/03/11 08:56:21  adgor
- Req libgadu >= 20030208
- Removed c/cxx flags (now configure sets it properly)

Revision 1.47  2003/03/10 07:26:54  pascalek
- updated to 0.3.3-rc3

Revision 1.46  2003/03/09 12:14:32  blues
- req. strict openssl + cosmetics

Revision 1.45  2003/02/27 14:37:48  jasio
Fixed small typo

Revision 1.44  2003/02/26 12:17:26  jasio
Moving --with-qt-includes=/usr/X11R6/include/qt to RA-branch

Revision 1.43  2003/02/25 21:52:23  jasio
- Added additional BuildReq - openssl-devel (new version has SSL coding now)
- Changes in configure section - now package is building

Revision 1.42  2003/02/24 11:31:48  adgor
- 0.3.3-rc2

Revision 1.41  2003/02/11 03:33:41  adgor
- Added missing files
- Added %%find_lang macro
- Simplifications

Revision 1.40  2003/02/11 03:16:24  adgor
- 0-3.3-rc1

Revision 1.39  2003/02/02 13:18:08  adgor
- 0.3.3-pre5

Revision 1.38  2003/01/24 08:46:05  qboosh
- missing dir, fixed man page entry in %%files

Revision 1.37  2003/01/24 05:36:01  pascalek
- updated to 0.3.3pre4

Revision 1.36  2003/01/23 14:42:57  adgor
- Added kde_apsdir argument
- Please - do this carefully!

Revision 1.35  2003/01/18 22:51:59  juandon
- removed two lines with define

Revision 1.34  2003/01/10 06:18:12  pascalek
- updated to 0.3.3-pre3

Revision 1.33  2003/01/02 12:55:51  pascalek
- updated to 0.3.3-pre2

Revision 1.32  2002/12/13 09:05:28  pascalek
- updated to 0.3.3 pre1

Revision 1.31  2002/10/20 13:16:48  mmazur
- fixed versioning & respect for %__cc and %__cxx

Revision 1.30  2002/10/20 12:36:13  mmazur
- updated to 20021020 snap and added icons
- no idea if it works though :)

Revision 1.29  2002/10/05 13:00:44  adgor
- Updated to 10021005 (getting personal info works fine)
- Release 7

Revision 1.28  2002/09/19 00:05:03  maryush
- updated to 20020918
- STBR

Revision 1.27  2002/09/09 12:18:02  maryush
- updated to 20020909
- fixed %install (now DESTDIR working correctly)
- fixed %files
- STBR

Revision 1.26  2002/09/06 10:32:32  maryush
- updated to 20020906

Revision 1.25  2002/08/30 13:06:12  maryush
- updated to 20020830
- fixed build (stupid hack :/)
- Blues STBR

Revision 1.24  2002/08/29 23:30:14  blues
- release 2 - some cleanups

Revision 1.23  2002/08/27 16:19:59  maryush
- updated to last snapshot (fixed empty msg)
- fixed homepage url

Revision 1.22  2002/08/15 15:05:18  blues
- 0.3.1 - some cleanups, removed outdated patches

Revision 1.21  2002/08/15 14:37:18  blues
- release 1.1

Revision 1.20  2002/07/30 09:21:36  qboosh
- new %%doc, removed BRs implied by others, added missing dir

Revision 1.19  2002/07/03 09:24:04  wolf
- spelling

Revision 1.18  2002/06/05 20:37:17  mkierus
- change BuildRequires for kde and qt

Revision 1.17  2002/06/05 20:18:29  mkierus
- updated to 0.3.0

Revision 1.16  2002/05/19 18:19:26  adasi
- added br: Readline-devel

Revision 1.15  2002/04/29 17:20:13  mmazur
- somebody kick the libgadu (s)crew :) needed to turned on statical linking
  with libgadu from the kadu tarball because the current snapshot of
  libgadu segfaults kadu... stability stability :)
- and btw: rel2; STBR

Revision 1.14  2002/04/26 13:00:06  misiek
- add gcc31 patch (standard C++)

Revision 1.13  2002/04/25 16:40:13  arturs
- fixed a small typo

Revision 1.12  2002/04/16 20:37:54  marcus
- added BR libgadu-devel

Revision 1.11  2002/04/05 20:21:25  mmazur
- updated to 0.2.1; rel1; STBR

Revision 1.10  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/18 12:56:23  gotar
- typos in %post echo.

Revision 1.8  2002/02/16 21:28:33  misiek
- requested by author

Revision 1.7  2002/02/16 21:12:55  misiek
- updated to 0.2.0

Revision 1.6  2002/02/05 16:33:34  gotar
- BuildRequires: libgg-devel -> libgadu-devel
- release 3.

Revision 1.5  2002/01/18 02:13:28  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/15 22:49:00  speedy
- fixed. release 2

Revision 1.3  2001/11/29 15:13:25  misiek
- updated to 0.1.9 (nfy)

Revision 1.2  2001/09/29 15:52:08  misiek
- missing make added

Revision 1.1  2001/09/29 15:45:04  misiek
- initial pld release
